local _, ecf = ...

local L = {}
-----------------------------------------------------------------------
-- zhCN: 06.14.16
-----------------------------------------------------------------------
if (GetLocale() == "zhCN") then
	L["ClickToOpenConfig"] = "点击打开配置界面"
	L["MainFilter"] = "总开关"
	L["Yes"] = "是"
	L["No"] = "否"
	L["Enabled"] = "已开启"
	L["Disabled"] = "已关闭"
	L["MinimapButton"] = "小地图图标"
	L["WhisperWhitelistMode"] = "密语白名单模式"
	L["DNDfilter"] = "'忙碌'玩家过滤"
	L["RepeatFilter"] = "重复信息过滤"
	L["AchievementFilter"] = "成就刷屏过滤"
	L["RaidAlertFilter"] = "团队警报过滤"
	L["QuestReportFilter"] = "任务组队过滤"
	L["IgnoreMoreList"] = "扩展屏蔽名单"
	L["BeCareful"] = "慎用！"
	L["Import"] = "导入"
	L["Export"] = "导出"
	L["StringHashMismatch"] = "字符串校验错误"
	L["ImportSucceeded"] = "导入成功"
	L["ImportOldString"] = "您导入的是旧版数据，导入将继续但无法进行校验"
	L["IncludeAutofilteredWord"] = "包含会被自动过滤的字符，将忽略该关键词！"
	L["Remove"] = "移除"
	L["Arrange"] = "整理"
	L["ClearUp"] = "清空"
	L["SetAsNormalWord"] = "将被设置为普通关键词"
	L["AddBlackWordTitle"] = "添加新黑名单关键字"
	L["AddBlackWordButton"] = "添加新关键字"
	L["BlackWordList"] = "黑名单列表"
	L["Regex"] = "正则"
	L["CommandLine"] = "命令"
	L["ClearedBlackWordList"] = "已清空黑名单"
	L["ClearedIgnoreMoreList"] = "已清空扩展屏蔽列表"
	L["And"] = "、"
	L["GotAchievement"] = "获得了成就"
	L["DoYouWantToClearBlackList?"] = "你确定要清空关键词列表么？"

	L["WhisperWhitelistModeTooltip"] = "启用后除了工会、团队、小队、战网好友发送的密语外，只允许你发送过密语的对方才能对你发起密语|n|cffE2252D慎用！"
	L["DNDfilterTooltip"] = "启用后过滤'忙碌'玩家及其自动回复"
	L["RepeatFilterTooltip"] = "启用后过滤同一玩家发送的相似信息"
	L["AchievementFilterTooltip"] = "启用后合并显示多个玩家获得同一成就"
	L["RaidAlertFilterTooltip"] = "启用后过滤各类技能/打断喊话提示"
	L["QuestReportFilterTooltip"] = "启用后过滤各类组队任务喊话提醒"
	L["RegexTooltip"] = "标记添加的关键词为正则表达式|n仅对该次添加的关键词有效"
-----------------------------------------------------------------------
-- zhTW: 06.14.16
-- Contributors: 老虎007@NGA
-----------------------------------------------------------------------
elseif (GetLocale() == "zhTW") then
	L["ClickToOpenConfig"] = "點擊打開配置介面"
	L["MainFilter"] = "總開關"
	L["Yes"] = "Yes" -- Fixme
	L["No"] = "No" -- Fixme
	L["Enabled"] = "已開啟"
	L["Disabled"] = "已關閉"
	L["MinimapButton"] = "小地圖圖標"
	L["WhisperWhitelistMode"] = "密語白名單模式"
	L["DNDfilter"] = "'忙碌,玩家過濾"
	L["RepeatFilter"] = "重複信息過濾"
	L["AchievementFilter"] = "成就刷屏過濾"
	L["RaidAlertFilter"] = "團隊警報過濾"
	L["QuestReportFilter"] = "任務組隊過濾"
	L["IgnoreMoreList"] = "擴展屏蔽名單"
	L["BeCareful"] = "慎用！"
	L["Import"] = "導入"
	L["Export"] = "導出"
	L["StringHashMismatch"] = "字符串校驗錯誤"
	L["ImportSucceeded"] = "導入成功"
	L["ImportOldString"] = "你導入的是舊版數據,導入蔣繼續無法進行校驗"
	L["IncludeAutofilteredWord"] = "包含會被自動過濾的字符，蔣忽略該關鍵詞！"
	L["Remove"] = "移除"
	L["Arrange"] = "整理"
	L["ClearUp"] = "清空"
	L["SetAsNormalWord"] = "將被設置為普通關鍵詞"
	L["AddBlackWordTitle"] = "添加新黑名單關鍵詞"
	L["AddBlackWordButton"] = "添加新關鍵詞"
	L["BlackWordList"] = "黑名單列表"
	L["Regex"] = "正規"
	L["CommandLine"] = "命令"
	L["ClearedBlackWordList"] = "已清空黑名單"
	L["ClearedIgnoreMoreList"] = "已清空扩展屏蔽列表"
	L["And"] = "、"
	L["GotAchievement"] = "獲得了成就"
	L["DoYouWantToClearBlackList?"] = "你确定要清空关键词列表么？" -- Fixme

	L["WhisperWhitelistModeTooltip"] = "启用后除了工会、团队、小队、战网好友发送的密语外，只允许你发送过密语的对方才能对你发起密语|n|cffE2252D慎用！" -- Fixme
	L["DNDfilterTooltip"] = "启用后过滤'忙碌'玩家及其自动回复" -- Fixme
	L["RepeatFilterTooltip"] = "启用后过滤同一玩家发送的相似信息" -- Fixme
	L["AchievementFilterTooltip"] = "启用后合并显示多个玩家获得同一成就" -- Fixme
	L["RaidAlertFilterTooltip"] = "启用后过滤各类技能/打断喊话提示" -- Fixme
	L["QuestReportFilterTooltip"] = "启用后过滤各类组队任务喊话提醒" -- Fixme
	L["RegexTooltip"] = "标记添加的关键词为正则表达式|n仅对该次添加的关键词有效" -- Fixme
-----------------------------------------------------------------------
-- Default: 06.14.16 -- NEED HELP
-----------------------------------------------------------------------
else
	L["ClickToOpenConfig"] = "Click To Open Config"
	L["MainFilter"] = "Main Filter"
	L["Yes"] = "Yes"
	L["No"] = "No"
	L["Enabled"] = "Enabled"
	L["Disabled"] = "Disabled"
	L["MinimapButton"] = "Minimap Button"
	L["WhisperWhitelistMode"] = "Whisper Whitelist Mode"
	L["DNDfilter"] = "DND Filter"
	L["RepeatFilter"] = "Repeat Filter"
	L["AchievementFilter"] = "Achievement Filter"
	L["RaidAlertFilter"] = "RaidAlert Filter"
	L["QuestReportFilter"] = "QuestReport Filter"
	L["IgnoreMoreList"] = "IgnoreMore List"
	L["BeCareful"] = "Be Careful!"
	L["Import"] = "Import"
	L["Export"] = "Export"
	L["ClearUp"] = "ClearUp"
	L["StringHashMismatch"] = "String Hash Mismatch."
	L["ImportSucceeded"] = "String Import Succeeded"
	L["ImportOldString"] = "You tried to import old version string. Import will continued without check."
	L["IncludeAutofilteredWord"] = "Includes symbels to be filtered. It will be ignored."
	L["Remove"] = "Remove"
	L["Arrange"] = "Arrange"
	L["SetAsNormalWord"] = "was set as normal word."
	L["AddBlackWordTitle"] = "Add Blackword"
	L["AddBlackWordButton"] = "Add Blackword"
	L["BlackWordList"] = "BlackWord List"
	L["Regex"] = "Regex"
	L["CommandLine"] = "CommandLine"
	L["ClearedBlackWordList"] = "BlackWordList Cleared."
	L["ClearedIgnoreMoreList"] = "IgnoreMore List Cleared."
	L["And"] = ", "
	L["GotAchievement"] = "have earned the achievement"
	L["DoYouWantToClearBlackList?"] = "Do you want to clear blacklist?"

	L["WhisperWhitelistModeTooltip"] = "While enabled, it will filter all whisper unless it's from guild/group/raid/battlenet friend or you have just whisper them|n|cffE2252DUse with care!"
	L["DNDfilterTooltip"] = "While enabled, it will filter all DND players and their auto reply"
	L["RepeatFilterTooltip"] = "While enabled, it will filter similar messages from the same player"
	L["AchievementFilterTooltip"] = "While enabled, it will filter achievement spam"
	L["RaidAlertFilterTooltip"] = "While enabled, it will filter raid alert from other players"
	L["QuestReportFilterTooltip"] = "While enabled, it will filter many kind of grouping messages"
	L["RegexTooltip"] = "Blackword that will be added should be a regex expression. Only works for this blackword."
end

ecf.L = L

setmetatable(ecf.L, {__index=function(self, key)
	return key
end})